> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get billing schedule payment settings by billing schedule ID

> Get payment settings for billing schedules by billing schedule ID. Invoices for billing schedules with payment settings contain payment links. If payment details are on file with Stripe or other payment providers, then payments are automatically collected when you finalise and send an invoice. Billing schedule payment settings override customer payment settings. You can also override billing schedule payment settings with invoice payment settings.



## OpenAPI

````yaml collections.latest.product.live GET /payments/settings/billing-schedules/for-billing-schedule/{id}
openapi: 3.0.0
info:
  title: Collections
  description: Manage Payment Collection Settings
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /payments/settings/billing-schedules/for-billing-schedule/{id}:
    servers: []
    parameters: []
    get:
      tags:
        - Billing Schedules
      summary: Get billing schedule payment settings by billing schedule ID
      description: >-
        Get payment settings for billing schedules by billing schedule ID.
        Invoices for billing schedules with payment settings contain payment
        links. If payment details are on file with Stripe or other payment
        providers, then payments are automatically collected when you finalise
        and send an invoice. Billing schedule payment settings override customer
        payment settings. You can also override billing schedule payment
        settings with invoice payment settings.
      operationId: getPaymentsSettingsBillingSchedulesForBillingScheduleById
      parameters:
        - name: id
          in: path
          description: Unique billing schedule ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingScheduleSettings'
                example:
                  id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                  sequenceAccountId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                  billingScheduleId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                  paymentProvider: STRIPE
                  autoCharge: true
              examples:
                BillingScheduleSettings:
                  summary: ''
                  value:
                    id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                    sequenceAccountId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                    billingScheduleId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                    paymentProvider: STRIPE
                    autoCharge: true
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    BillingScheduleSettings:
      required:
        - autoCharge
        - billingScheduleId
        - id
        - paymentProvider
        - sequenceAccountId
      type: object
      example:
        id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        sequenceAccountId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        billingScheduleId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        paymentProvider: STRIPE
        autoCharge: true
      properties:
        id:
          type: string
          description: Unique payment provider ID.
          example: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        sequenceAccountId:
          type: string
          description: Unique Sequence Account ID.
          example: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        billingScheduleId:
          type: string
          description: Unique payment provider ID.
          example: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        paymentProvider:
          $ref: '#/components/schemas/PaymentProvider'
          description: Payment provider
        autoCharge:
          type: boolean
          description: Automatically collect payments if payment details are available
          example: true
    PaymentProvider:
      type: string
      example: STRIPE
      enum:
        - STRIPE
        - GOCARDLESS
        - NONE

````